


# SmeupLocalizationService class












## Constructors

[SmeupLocalizationService](../smeup_services_SmeupLocalizationService/SmeupLocalizationService/SmeupLocalizationService.md) ([Locale](https://api.flutter.dev/flutter/dart-ui/Locale-class.html) locale)

    


## Properties

##### [hashCode](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html) &#8594; [int](https://api.flutter.dev/flutter/dart-core/int-class.html)



The hash code for this object. [...](https://api.flutter.dev/flutter/dart-core/Object/hashCode.html)  
_read-only, inherited_



##### [locale](../smeup_services_SmeupLocalizationService/SmeupLocalizationService/locale.md) &#8594; [Locale](https://api.flutter.dev/flutter/dart-ui/Locale-class.html)



   
_final_



##### [runtimeType](https://api.flutter.dev/flutter/dart-core/Object/runtimeType.html) &#8594; [Type](https://api.flutter.dev/flutter/dart-core/Type-class.html)



A representation of the runtime type of the object.   
_read-only, inherited_




## Methods

##### [getHolidays](../smeup_services_SmeupLocalizationService/SmeupLocalizationService/getHolidays.md)([int](https://api.flutter.dev/flutter/dart-core/int-class.html) year, [String](https://api.flutter.dev/flutter/dart-core/String-class.html) country) [Future](https://api.flutter.dev/flutter/dart-async/Future-class.html)&lt;[Map](https://api.flutter.dev/flutter/dart-core/Map-class.html)&lt;[DateTime](https://api.flutter.dev/flutter/dart-core/DateTime-class.html), [List](https://api.flutter.dev/flutter/dart-core/List-class.html)>>



   




##### [getLocalString](../smeup_services_SmeupLocalizationService/SmeupLocalizationService/getLocalString.md)(dynamic stringCode) [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



   




##### [noSuchMethod](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)([Invocation](https://api.flutter.dev/flutter/dart-core/Invocation-class.html) invocation) dynamic



Invoked when a non-existent method or property is accessed. [...](https://api.flutter.dev/flutter/dart-core/Object/noSuchMethod.html)  
_inherited_



##### [toString](https://api.flutter.dev/flutter/dart-core/Object/toString.html)() [String](https://api.flutter.dev/flutter/dart-core/String-class.html)



A string representation of this object. [...](https://api.flutter.dev/flutter/dart-core/Object/toString.html)  
_inherited_




## Operators

##### [operator ==](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)([Object](https://api.flutter.dev/flutter/dart-core/Object-class.html) other) [bool](https://api.flutter.dev/flutter/dart-core/bool-class.html)



The equality operator. [...](https://api.flutter.dev/flutter/dart-core/Object/operator_equals.html)  
_inherited_





## Static Methods

##### [of](../smeup_services_SmeupLocalizationService/SmeupLocalizationService/of.md)([BuildContext](https://api.flutter.dev/flutter/widgets/BuildContext-class.html) context) [SmeupLocalizationService](../smeup_services_SmeupLocalizationService/SmeupLocalizationService-class.md)



   










